This patch corrects the NullPointerException that occurs if toString() is
called on a Statement that has not yet been given a query string.

Index: src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Statement.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Statement.java,v
retrieving revision 1.14
diff -u -u -r1.14 AbstractJdbc1Statement.java
--- src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Statement.java	2002/11/20 07:34:32	1.14
+++ src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Statement.java	2002/12/17 03:00:50
@@ -1768,6 +1768,9 @@
 	 */
 	public String toString()
 	{
+		if (m_sqlFragments == null)
+			return super.toString();
+
 		synchronized (sbuf)
 		{
 			sbuf.setLength(0);
